## visad
Class ThingChangedLink

    java.lang.Object
      visad.ThingChangedLink

class ThingChangedLink
extends Object

ThingChangedLink objects are used by ThingReference objects to define their connections with Action objects. That is, a ThingReference has a Vector of ThingChangedLinks, one for each attached Action.

Action has a Vector of ReferenceActionLinks, one for each attached ThingReference.

Constructor Summary
`(package private)` `ThingChangedLink(Action a, long jd)`

Method Summary
`ThingChangedEvent` `acknowledgeThingChangedEvent()` acknowledge the last event from the ThingReference, and possibly return a new event to the Action
`(package private) Action` `getAction()`
`(package private) long` `getId()`
`ThingChangedEvent` `peekThingChangedEvent()` possibly return a new event to the Action
`void` `queueThingChangedEvent(ThingChangedEvent e)` either deliver the event to the corresponding Action object or, if the Action isn't ready yet, queue the event for later delivery

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThingChangedLink

    ThingChangedLink(Action a,
                     long jd)
               throws VisADException

Method Detail

### getId

    long getId()

### getAction

    Action getAction()

### peekThingChangedEvent

    public ThingChangedEvent peekThingChangedEvent()

  possibly return a new event to the Action

### acknowledgeThingChangedEvent

    public ThingChangedEvent acknowledgeThingChangedEvent()

  acknowledge the last event from the ThingReference, and possibly return a new event to the Action

### queueThingChangedEvent

    public void queueThingChangedEvent(ThingChangedEvent e)
                                throws RemoteException,
                                       VisADException

  either deliver the event to the corresponding Action object or, if the Action isn't ready yet, queue the event for later delivery

  Throws:
    `RemoteException`
    `VisADException`